Package ru.bitel.bgbilling.kernel.script.server.bean

# Class GlobalScriptLogDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<GlobalScriptLog>
ru.bitel.bgbilling.kernel.script.server.bean.GlobalScriptLogDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class GlobalScriptLogDao
    extends ru.bitel.common.dao.AbstractDao<GlobalScriptLog>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `prefixNameTable` |

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GlobalScriptLogDao​(java.sql.Connection con, java.lang.String tableName)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected GlobalScriptLog` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<GlobalScriptLog>` | `getScriptLogList​(Period period, java.lang.String title, Page page)` | Возвращает постраничный список глобальных логов скриптов за определенный период
  `java.util.List<java.lang.String>` | `getScriptLogTitleList​(Period period)` |
  `protected void` | `updateImpl​(GlobalScriptLog b)` |
  `java.lang.String` | `writeLog​(java.lang.String functionName, java.lang.String out, java.lang.String err, java.lang.String ex, java.util.Calendar finishTime)` | Записывает лог выполнения глобального скрипта.

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefixNameTable

    public static final java.lang.String prefixNameTable
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### GlobalScriptLogDao

    public GlobalScriptLogDao​(java.sql.Connection con, java.lang.String tableName)

- ## Method Details

  - ### getScriptLogTitleList

    public java.util.List<java.lang.String> getScriptLogTitleList​(Period period) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `period` - - период.
    Returns:
      - не повторяющийся список названий выполнившихся скриптов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getScriptLogList

    public java.util.List<GlobalScriptLog> getScriptLogList​(Period period, java.lang.String title, Page page) throws ru.bitel.bgbilling.common.BGException
    Возвращает постраничный список глобальных логов скриптов за определенный период
    Parameters:
      `perid` - - период в месяце задом при создании Dao
      `title` - - если не равен null, то вернет логи с данным title.
      `page` - страница
    Returns:
      список
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### writeLog

    public java.lang.String writeLog​(java.lang.String functionName, java.lang.String out, java.lang.String err, java.lang.String ex, java.util.Calendar finishTime) throws ru.bitel.bgbilling.common.BGException
    Записывает лог выполнения глобального скрипта.
    Parameters:
      `functionName` - имя скрипта
      `report` - лог
      `finishTime` - время завершения выполнения
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected GlobalScriptLog getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<GlobalScriptLog>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(GlobalScriptLog b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<GlobalScriptLog>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`